<?
$title = 'Пополнение баланса';
include_once 'config.php';
include_once '../../sys/fnc.php';
include_once '../../sys/head.php';


/* ---- */	
if (!isset($user)) {
    header('location: /');
    exit;
}
/* ---- */

if (isset($_POST['summa']))
	{
	if (preg_match('#^([0-9]+)$|^([0-9]+\.)+([0-9]{1,2})$#', $_POST['summa']))
		{
			if (intval($_POST['summa']) >= 1)
			{
		$data=file_get_contents('http://worldkassa.ru/user/oplata.php?id_shop='.$id_shop.'&summa='.intval($_POST['summa']).'&hash='.$hash);
		if (is_numeric($data))
			{
			mysql_query("INSERT INTO `worldkassa` (`id_user`, `id_bill`, `time`, `summa`) values('".$user->id."', '".$data."', '".time()."', '".intval($_POST['summa'])."')");
echo '<div id="page-wrapper"><div class="main-page"><h3 class="title1">Пополнение баланса</h3><div class="blank-page widget-shadow scroll" id="style-2 div1"><p><div class="post"> <a href="http://worldkassa.ru/user/oplata.php?uniq='.$data.'">Перейти к оплате</a></div></p></div></div></div>';
			exit();
			}
			else
			{
			echo '<div class="err">'.$data.'</div>';
			}
		}
		else
		{
		echo '<div class="err">Введите сумму более 1 Руб.</div>';
		}
		}
		else
		{
		echo '<div class="err">Введите корректно сумму</div>';
		}
	}
echo '<div id="page-wrapper"><div class="main-page"><h3 class="title1">Пополнение баланса</h3><div class="blank-page widget-shadow scroll" id="style-2 div1"><p><div class="post">Ваш баланс <b>'.sprintf("%.02f", $user->wmr).'</b> Rub<br/>
Пополнить на:<br/>
<form action="?" method="post">
<input name="summa" class="form-control" type="text" value="50.00"/> RUB<br/>
<input type="submit" class="form-control" value="Пополнить"/>
</form></div></p></div></div></div>';


include_once '../../sys/foot.php';
?>